#ifndef PIPIXMAPMAC_H_SEEN
#define PIPIXMAPMAC_H_SEEN

#include "pipixmapgen.h"

class PIPixmapMac : public PIPixmapGen {

public:
                PIPixmapMac(PIContainerGen *par, char *nom,
                         int sx=10, int sy=10, int px=0, int py=0);
  virtual      ~PIPixmapMac();

  virtual void  SetPixmap(unsigned char *pix, int sx, int sy, bool refr=true, int ox=0, int oy=0);
  virtual void  Draw(PIGraphic* g);
  virtual void  Draw(PIGraphic* g, int x0, int y0, int dx, int dy);
  virtual void	Refresh();
  virtual void	DrawOff();
  virtual void  Resize();
protected:
  GWorldPtr 	mGWorld;
};

typedef PIPixmapMac PIPixmap;


#endif